{
  "name": "ts-for-gir-gtk-3-gettext-example",
  "version": "3.2.6",
  "description": "Simple GJS Gtk 3 example app that shows how you can translate strings with gettext",
  "main": "index.js",
  "type": "module",
  "private": true,
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "build:types": "yarn ts-for-gir generate Gtk-3.0 --generateAlias",
    "build:app": "yarn node esbuild.js",
    "build": "yarn build:types && yarn build:app",
    "start:app": "gjs -m dist/main.js",
    "debug:app": "GTK_DEBUG=interactive yarn start:app",
    "start": "yarn build && yarn start:app",
    "validate": "yarn validate:types && yarn validate:app",
    "validate:types": "tsc --project tsconfig.types.json",
    "validate:app": "tsc --noEmit",
    "clear": "rm -rf dist @types"
  },
  "author": "Pascal Garber <pascal@artandcode.studio>",
  "license": "MIT",
  "devDependencies": {
    "@ts-for-gir/cli": "workspace:^",
    "esbuild": "^0.19.8",
    "typescript": "5.2.2"
  }
}
